Loading...
Searching...
No Matches
apache::subversion::svnxx::detail::future_::future< T > Class Template Reference
SVN++ Implementation Details

like std::future, but also maintains internal state relevant to the asynchronous SVN++ operation. More...

`#include <svnxx/detail/future.hpp>`

Inheritance diagram for apache::subversion::svnxx::detail::future_::future< T >:

## Public Member Functions

| future (future &&that) noexcept
shared_future< T > | share () noexcept

## Protected Types

using | inherited = std::future<T>

## Protected Member Functions

| future (inherited &&that, unique_ptr &&unique_result_) noexcept

## Friends

class | shared_future< T >

## Detailed Description

template<typename T>
class apache::subversion::svnxx::detail::future_::future< T >

like std::future, but also maintains internal state relevant to the asynchronous SVN++ operation.

Definition at line 127 of file future.hpp.

## Member Typedef Documentation

## inherited

template<typename T>

using apache::subversion::svnxx::detail::future_::future< T >::inherited = std::future<T>

protected

Definition at line 134 of file future.hpp.

## Constructor & Destructor Documentation

## future() [1/3]

template<typename T>

apache::subversion::svnxx::detail::future_::future< T >::future | ( | inherited && | that,
|  | unique_ptr && | unique_result_ )

inline protected noexcept

Definition at line 136 of file future.hpp.

## future() [2/3]

template<typename T>

apache::subversion::svnxx::detail::future_::future< T >::future | ( |  | ) |

inline noexcept

Definition at line 141 of file future.hpp.

## future() [3/3]

template<typename T>

apache::subversion::svnxx::detail::future_::future< T >::future | ( | future< T > && | that | ) |

inline noexcept

Definition at line 143 of file future.hpp.

## Member Function Documentation

## share()

template<typename T>

shared_future< T > apache::subversion::svnxx::detail::future_::future< T >::share | ( |  | ) |

inline noexcept

Definition at line 147 of file future.hpp.

## Friends And Related Symbol Documentation

## shared_future< T >

template<typename T>

friend class shared_future< T >

friend

Definition at line 118 of file future.hpp.

The documentation for this class was generated from the following file:

- svnxx/detail/future.hpp